document.addEventListener('DOMContentLoaded', function() {
    // Simulated market data updates
    function updateMarketData() {
        const markets = {
            'S&P 500': (Math.random() * 100 + 4000).toFixed(2),
            'NASDAQ': (Math.random() * 100 + 14000).toFixed(2),
            'DOW': (Math.random() * 100 + 34000).toFixed(2)
        };

        Object.entries(markets).forEach(([market, value]) => {
            const tickerItems = document.querySelectorAll('.ticker-item');
            tickerItems.forEach(item => {
                if (item.querySelector('span').textContent === market) {
                    const valueSpan = item.querySelector('.value');
                    const oldValue = parseFloat(valueSpan.textContent);
                    const newValue = parseFloat(value);
                    
                    valueSpan.textContent = value;
                    valueSpan.style.color = newValue > oldValue ? '#22c55e' : '#ef4444';
                }
            });
        });
    }

    // Update market data every 3 seconds
    setInterval(updateMarketData, 3000);
    updateMarketData();

    // Form submission handling
    const form = document.querySelector('.contact-form');
    if (form) {
        form.addEventListener('submit', function(e) {
            e.preventDefault();
            alert('Thank you for your interest! We will contact you soon.');
            form.reset();
        });
    }

    // Smooth scrolling for navigation links
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function(e) {
            e.preventDefault();
            const target = document.querySelector(this.getAttribute('href'));
            if (target) {
                target.scrollIntoView({
                    behavior: 'smooth',
                    block: 'start'
                });
            }
        });
    });
});